component: Velodyne
proto_imports:
  - vehicle/lidar/diagnostics/velodyne_diagnostics.proto
metric: VelodyneMetric
namespace: zoox::lidar::velodyne
faults:
  - id: 1
    name: RpmOutOfRange
    severity: WARNING
    description: RPM is too high or too low
    freeze_frame: VelodyneRpmFreezeFrame
  - id: 2
    name: ClockSkewTooHigh
    severity: WARNING
    description: The velodyne clock is too far offset from the system clock
    freeze_frame: VelodyneClockSkewFreezeFrame
  - id: 3
    name: OneBeamProblem
    severity: INFO
    description: A single bad beam was detected in this Lidar
    freeze_frame: VelodyneBeamProblemFreezeFrame
    deprecated: true
  - id: 4
    name: TwoBeamProblems
    severity: WARNING
    description: Two bad beams were detected in this Lidar
    freeze_frame: VelodyneBeamProblemFreezeFrame
    deprecated: true
  - id: 5
    name: ManyBeamProblems
    severity: ERROR
    description: Several bad beams were detected on this lidar. REPLACE UNIT
    freeze_frame: VelodyneBeamProblemFreezeFrame
    deprecated: true
